---
description: >-
  How to use a crypto wallet to check your OCEAN token balance and send OCEAN
  Tokens to others
---

# Manage Your OCEAN Tokens 🪙

If you don't see any Ocean Tokens in your crypto wallet software (e.g. MetaMask or MyEtherWallet), don't worry! It might not know how to manage Ocean Tokens yet.

### Token Information

Almost all ERC-20 wallets require these values for adding a custom token:

**Mainnet**

* Contract Address: `0x967da4048cD07aB37855c090aAF366e4ce1b9F48`
* Symbol: `OCEAN`
* Decimals: `18`

**Polygon Mainnet (previously Matic)**

* Contract Address: `0x282d8efCe846A88B159800bd4130ad77443Fa1A1`
* Symbol: `mOCEAN`
* Decimals: `18`

**Binance Smart Chain (BSC)**

* Contract Address: `0xdce07662ca8ebc241316a15b611c89711414dd1a`
* Symbol: `OCEAN`
* Decimals: `18`

**Görli**

* Contract Address: `0xCfDdA22C9837aE76E0faA845354f33C62E03653a`
* Symbol: `OCEAN`
* Decimals: `18`

**Mumbai**

* Contract Address: `0xd8992Ed72C445c35Cb4A2be468568Ed1079357c8`
* Symbol: `OCEAN`
* Decimals: `18`

The [OCEAN Token page](https://oceanprotocol.com/token) at oceanprotocol.com has further details.

### MetaMask

1. Make sure MetaMask is connected to the Ethereum Mainnet.
2. Select the account you want to manage.
3. Scroll down until the `Add Token` link is visible, then click on it.
4. Click on `Custom Token`.
5. Paste the Ocean Token contract address listed above into the _Token Contract Address_ field. The other two fields should auto-fill. If not, add `OCEAN` for the symbol and `18` for the precision.
6. Click `Next`.
7. Click `Add Tokens`.

MetaMask should now show your Ocean Token (OCEAN) balance, and when you're looking at that, there should be a `Send` button to send Ocean Tokens to others. For help with that, see [the MetaMask docs about how to send tokens](https://metamask.zendesk.com/hc/en-us/articles/360015488931-How-to-Send-Tokens).

### Other Wallet Software

Do a web search to find out how to add a custom ERC-20 token to the wallet software you're using.
