---
description: An overview of Ocean Protocol's governance and incentives mechanisms
---

# 💰 Rewards

veOCEAN is a fork of veCRV. This enables participants to become a governance delegate, and eligible to receive rewards and engage with different protocol mechanisms.

The following docs provide you with sufficient intuition to access, utilize, and build upon the protocol's core incentive and reward system: Data Farming.

![DF Rewards Page](../.gitbook/assets/rewards/df\_rewards\_page.png)

## veOCEAN

Learning about [veOCEAN](veocean.md) will help you answer the question "What is the purpose of holding veOCEAN?" & give insights on how veOCEAN (vote-escrowed OCEAN) works. It will teach you everything you need to know about why it exists and how it works.

You will learn that by just holding veOCEAN passively, you are able to rewards.

## Data Farming

[Data Farming 101](df-intro.md) introduces the different reward systems, how they work, and how to access them. By the end of the page, you should be more familiar with how Data Farming works and able to take next steps to curate assets.

[Data Farming Background](df-background.md) will provide you with more intuitions about Data Farming, briefly explain the Reward Function, and how the program evolved over time.

## Further Reading

Finally, if you want to continue expanding your knowledge on OCEAN token emissions, APY estimates, and get useful answers to some of the most common questions, you can read the following:

[Emissions & APYs](emissions-apys.md) will provide you will information about how OCEAN will be released over time through the Data Farming program and provide you with APY studies.

Our [FAQ](faq.md) answers many different questions about staking, chains, deployments, and other details that may be valuable to you.

## Reference

All content within has been assembled via reference of the [Ocean Data Farming Series](https://blog.oceanprotocol.com/ocean-data-farming-series-c7922f1d0e45), official [Ocean Protocol github repositories](https://github.com/oceanprotocol/), and [v4 Whitepapers](https://oceanprotocol.com/tech-whitepaper.pdf).
